Debian Bug report logs - #627655
linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Paul Millar <paul.millar@desy.de>

Date: Mon, 23 May 2011 09:06:02 UTC

Severity: wishlist

Found in version 2.6.39-1

Fixed in version linux-2.6/3.1.0~rc4-1~experimental.1

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Mon, 23 May 2011 09:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 09:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Mon, 23 May 2011 10:35:57 +0200
Package: linux-2.6
Version: 2.6.39-1
Severity: important

Recent kernels include support for NFS v4.1.  More recently still, the kernel
has included support for NFS v4.1's parallel NFS or "pNFS".  These options
(CONFIG_NFS_V4_1 and CONFIG_PNFS_FILE_LAYOUT) may be built as modules, so are
loaded on demand.

Current Debain Linux kernels are build with neither option enabled (the PNFS
one is even missing from the config file).

Please adjust the debian build to include building NFS v4.1 and PNFS support.



-- Package-specific info:
** Version:
Linux version 2.6.39-1-686-pae (Debian 2.6.39-1) (maks@debian.org) (gcc version 4.4.6 (Debian 4.4.6-3) ) #1 SMP Fri May 20 20:40:05 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-2.6.39-1-686-pae root=UUID=9e0c7535-1e7d-46a4-ac3c-c161f64c9ed7 ro quiet

** Tainted: PO (4097)
 * Proprietary module has been loaded.
 * Out-of-tree module has been loaded.

** Kernel log:
[    5.873816] [drm] nouveau 0000:01:00.0:   4: 0x00000213: type 0x13 idx 4 tag 0xff
[    5.873825] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xE195
[    5.873891] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xE4C6
[    5.887020] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xEA4D
[    5.887045] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xEBC8
[    5.888170] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xED7A
[    5.908938] [drm] nouveau 0000:01:00.0: 1 available performance level(s)
[    5.908946] [drm] nouveau 0000:01:00.0: 0: memory 648MHz core 450MHz fanspeed 100%
[    5.908958] [drm] nouveau 0000:01:00.0: c: memory 391MHz core 199MHz
[    5.909133] [TTM] Zone  kernel: Available graphics memory: 432514 kiB.
[    5.909137] [TTM] Zone highmem: Available graphics memory: 1679940 kiB.
[    5.909140] [TTM] Initializing pool allocator.
[    5.909164] [drm] nouveau 0000:01:00.0: Detected 256MiB VRAM
[    5.921467] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[    5.921589] [drm] nouveau 0000:01:00.0: Saving VGA fonts
[    5.986997] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[    5.987002] [drm] No driver support for vblank timestamp query.
[    5.988542] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 0)
[    5.988548] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on vga encoder (output 1)
[    5.988552] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on tmds encoder (output 2)
[    5.988556] [drm] nouveau 0000:01:00.0: Setting dpms mode 3 on TV encoder (output 3)
[    6.009375] usbcore: registered new interface driver snd-usb-audio
[    6.092750] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[    6.092812] HDA Intel 0000:00:1b.0: irq 47 for MSI/MSI-X
[    6.092845] HDA Intel 0000:00:1b.0: setting latency timer to 64
[    6.188750] input: HDA Intel Line In at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input7
[    6.188961] input: HDA Intel Mic at Ext Front Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[    6.189145] input: HDA Intel Mic at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input9
[    6.189327] input: HDA Intel Mic at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input10
[    6.189507] input: HDA Intel Line In at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input11
[    6.189690] input: HDA Intel Line Out at Ext Rear Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input12
[    6.189873] input: HDA Intel HP Out at Ext Front Jack as /devices/pci0000:00/0000:00:1b.0/sound/card0/input13
[    6.261903] [drm] nouveau 0000:01:00.0: allocated 1280x1024 fb: 0x49000, bo f71acc00
[    6.262024] fbcon: nouveaufb (fb0) is primary device
[    6.276703] [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on vga encoder (output 0)
[    6.276709] [drm] nouveau 0000:01:00.0: Output VGA-1 is running on CRTC 0 using output A
[    6.287539] [drm] nouveau 0000:01:00.0: 0xD550: Parsing digital output script table
[    6.337176] [drm] nouveau 0000:01:00.0: Setting dpms mode 0 on tmds encoder (output 2)
[    6.337180] [drm] nouveau 0000:01:00.0: Output DVI-I-1 is running on CRTC 1 using output A
[    6.339885] Console: switching to colour frame buffer device 160x64
[    6.342917] fb0: nouveaufb frame buffer device
[    6.342920] drm: registered panic notifier
[    6.342928] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[    7.601562] Adding 3903756k swap on /dev/sda6.  Priority:-1 extents:1 across:3903756k 
[    7.958095] EXT3-fs (sda3): using internal journal
[    8.067662] loop: module loaded
[    8.107202] Disabling lock debugging due to kernel taint
[    8.147156] vboxdrv: Found 2 processor cores.
[    8.147268] vboxdrv: fAsync=0 offMin=0x843 offMax=0x1914
[    8.147327] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[    8.147330] vboxdrv: Successfully loaded version 4.0.4_OSE (interface 0x00160000).
[    9.841879] EXT3-fs: barriers not enabled
[    9.842075] kjournald starting.  Commit interval 5 seconds
[    9.842326] EXT3-fs (sda1): using internal journal
[    9.842334] EXT3-fs (sda1): mounted filesystem with ordered data mode
[    9.893722] EXT3-fs: barriers not enabled
[    9.893914] kjournald starting.  Commit interval 5 seconds
[    9.894241] EXT3-fs (sda7): using internal journal
[    9.894248] EXT3-fs (sda7): mounted filesystem with ordered data mode
[    9.936816] EXT3-fs: barriers not enabled
[    9.937007] kjournald starting.  Commit interval 5 seconds
[    9.937283] EXT3-fs (sda5): using internal journal
[    9.937290] EXT3-fs (sda5): mounted filesystem with ordered data mode
[    9.984041] EXT3-fs: barriers not enabled
[    9.984230] kjournald starting.  Commit interval 5 seconds
[    9.984548] EXT3-fs (sda2): using internal journal
[    9.984555] EXT3-fs (sda2): mounted filesystem with ordered data mode
[   12.349792] Bridge firewalling registered
[   12.406551] ADDRCONF(NETDEV_UP): br0: link is not ready
[   12.604671] ip_tables: (C) 2000-2006 Netfilter Core Team
[   12.640427] nf_conntrack version 0.5.0 (16384 buckets, 65536 max)
[   12.861743] device eth0 entered promiscuous mode
[   12.948348] e1000e 0000:02:00.0: irq 46 for MSI/MSI-X
[   13.004099] e1000e 0000:02:00.0: irq 46 for MSI/MSI-X
[   13.004708] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   13.007609] ADDRCONF(NETDEV_UP): br1: link is not ready
[   16.810534] e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
[   16.810542] e1000e 0000:02:00.0: eth0: 10/100 speed: disabling TSO
[   16.810742] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   16.810896] br1: port 1(eth0) entering forwarding state
[   16.810901] br1: port 1(eth0) entering forwarding state
[   16.811091] ADDRCONF(NETDEV_CHANGE): br1: link becomes ready
[   21.985036] RPC: Registered udp transport module.
[   21.985041] RPC: Registered tcp transport module.
[   21.985044] RPC: Registered tcp NFSv4.1 backchannel transport module.
[   22.040803] FS-Cache: Loaded
[   22.090881] FS-Cache: Netfs 'nfs' registered for caching
[   22.129960] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[   22.683988] fuse init (API version 7.16)
[   23.477402] vboxnet0: Features changed: 0x00004800 -> 0x00004000
[   27.680012] br1: no IPv6 routers present
[   30.658549] lp0: using parport0 (interrupt-driven).
[   30.804762] ppdev: user-space parallel port driver
[   31.840026] br1: port 1(eth0) entering forwarding state
[   31.925477] openafs: module license 'http://www.openafs.org/dl/license10.html' taints kernel.
[   84.637942] start_kdeinit (4936): /proc/4938/oom_adj is deprecated, please use /proc/4938/oom_score_adj instead.
[  482.050878] NFS: bad mount option value specified: minorversion=1
[  523.629806] NFS: bad mount option value specified: minorversion=1
[  528.567797] NFS: bad mount option value specified: minorversion=1
[  532.264606] NFS: bad mount option value specified: minorversion=1

** Model information
not available

** Loaded modules:
Module                  Size  Used by
openafs               527715  0 
ppdev                  12621  0 
lp                     12858  0 
battery                12957  0 
vboxnetadp             13121  0 
binfmt_misc            12778  1 
fuse                   55666  1 
nfsd                  196206  2 
nfs                   219235  1 
lockd                  60891  2 nfsd,nfs
fscache                31438  1 nfs
auth_rpcgss            31819  2 nfsd,nfs
nfs_acl                12463  2 nfsd,nfs
sunrpc                137017  15 nfsd,nfs,lockd,auth_rpcgss,nfs_acl
xt_multiport           12470  2 
ipt_REJECT             12425  1 
xt_state               12455  2 
ipt_MASQUERADE         12530  1 
iptable_nat            12800  1 
nf_nat                 17733  2 ipt_MASQUERADE,iptable_nat
nf_conntrack_ipv4      13649  5 iptable_nat,nf_nat
nf_conntrack           42465  5 xt_state,ipt_MASQUERADE,iptable_nat,nf_nat,nf_conntrack_ipv4
nf_defrag_ipv4         12443  1 nf_conntrack_ipv4
iptable_filter         12488  1 
ip_tables              16998  2 iptable_nat,iptable_filter
x_tables               17969  7 xt_multiport,ipt_REJECT,xt_state,ipt_MASQUERADE,iptable_nat,iptable_filter,ip_tables
bridge                 59184  0 
stp                    12368  1 bridge
vboxnetflt             23683  0 
vboxdrv               147237  2 vboxnetadp,vboxnetflt
firewire_sbp2          17514  0 
loop                   17777  0 
snd_hda_codec_idt      44351  1 
snd_hda_intel          21529  1 
snd_hda_codec          57741  2 snd_hda_codec_idt,snd_hda_intel
snd_usb_audio          70707  1 
snd_pcm_oss            35864  0 
snd_mixer_oss          17649  1 snd_pcm_oss
snd_hwdep              12906  2 snd_hda_codec,snd_usb_audio
snd_pcm                52731  4 snd_hda_intel,snd_hda_codec,snd_usb_audio,snd_pcm_oss
snd_usbmidi_lib        18706  1 snd_usb_audio
snd_seq_midi           12744  0 
snd_rawmidi            22407  2 snd_usbmidi_lib,snd_seq_midi
joydev                 16906  0 
nouveau               466427  2 
snd_seq_midi_event     13124  1 snd_seq_midi
ttm                    46736  1 nouveau
drm_kms_helper         26550  1 nouveau
drm                   129190  4 nouveau,ttm,drm_kms_helper
snd_seq                39172  2 snd_seq_midi,snd_seq_midi_event
snd_timer              22171  2 snd_pcm,snd_seq
snd_seq_device         12995  3 snd_seq_midi,snd_rawmidi,snd_seq
parport_pc             21895  1 
snd                    38189  17 snd_hda_codec_idt,snd_hda_intel,snd_hda_codec,snd_usb_audio,snd_pcm_oss,snd_mixer_oss,snd_hwdep,snd_pcm,snd_usbmidi_lib,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
soundcore              12878  1 snd
snd_page_alloc         12841  2 snd_hda_intel,snd_pcm
i2c_algo_bit           12706  1 nouveau
power_supply           13283  2 battery,nouveau
i2c_i801               12670  0 
video                  17345  1 nouveau
i2c_core               19022  5 nouveau,drm_kms_helper,drm,i2c_algo_bit,i2c_i801
rng_core               12550  0 
tpm_tis                12949  0 
processor              26983  0 
evdev                  13084  17 
parport                27018  3 ppdev,lp,parport_pc
tpm                    17476  1 tpm_tis
thermal_sys            17667  2 video,processor
tpm_bios               12799  1 tpm
button                 12783  1 nouveau
psmouse                45863  0 
pcspkr                 12515  0 
serio_raw              12758  0 
ext3                  102125  5 
jbd                    40818  1 ext3
mbcache                12810  1 ext3
btrfs                 459484  0 
zlib_deflate           21186  1 btrfs
crc32c                 12576  1 
libcrc32c              12394  1 btrfs
usbhid                 35206  0 
hid                    59841  1 usbhid
sg                     21385  0 
sr_mod                 17418  0 
sd_mod                 35060  7 
cdrom                  34631  1 sr_mod
crc_t10dif             12332  1 sd_mod
uhci_hcd               21850  0 
ata_generic            12439  0 
ehci_hcd               34885  0 
ata_piix               21079  6 
usbcore                99225  6 snd_usb_audio,snd_usbmidi_lib,usbhid,uhci_hcd,ehci_hcd
libata                132100  2 ata_generic,ata_piix
firewire_ohci          26332  0 
e1000e                112794  0 
scsi_mod              134453  5 firewire_sbp2,sg,sr_mod,sd_mod,libata
firewire_core          42365  2 firewire_sbp2,firewire_ohci
crc_itu_t              12331  1 firewire_core

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 82945G/GZ/P/PL Memory Controller Hub [8086:2770] (rev 02)
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation 82945G/GZ/P/PL PCI Express Root Port [8086:2771] (rev 02) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	Memory behind bridge: e0000000-e1ffffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1b.0 Audio device [0403]: Intel Corporation N10/ICH 7 Family High Definition Audio Controller [8086:27d8] (rev 01)
	Subsystem: Intel Corporation Device [8086:0202]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 47
	Region 0: Memory at e2200000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 1 [8086:27d0] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00001000-00001fff
	Memory behind bridge: e2100000-e21fffff
	Prefetchable memory behind bridge: 00000000e2f00000-00000000e30fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 3 [8086:27d4] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 00006000-00006fff
	Memory behind bridge: e2300000-e23fffff
	Prefetchable memory behind bridge: 00000000e2d00000-00000000e2efffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.3 PCI bridge [0604]: Intel Corporation N10/ICH 7 Family PCI Express Port 4 [8086:27d6] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: e2400000-e24fffff
	Prefetchable memory behind bridge: 00000000e2b00000-00000000e2cfffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.4 PCI bridge [0604]: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 5 [8086:27e0] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=05, subordinate=05, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: e2500000-e25fffff
	Prefetchable memory behind bridge: 00000000e2900000-00000000e2afffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.5 PCI bridge [0604]: Intel Corporation 82801GR/GH/GHM (ICH7 Family) PCI Express Port 6 [8086:27e2] (rev 01) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=06, subordinate=06, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: e2600000-e26fffff
	Prefetchable memory behind bridge: 00000000e2700000-00000000e28fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 [8086:27c8] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 4: I/O ports at 2080 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.1 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 [8086:27c9] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 2060 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.2 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 [8086:27ca] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin C routed to IRQ 18
	Region 4: I/O ports at 2040 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.3 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 [8086:27cb] (rev 01) (prog-if 00 [UHCI])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin D routed to IRQ 16
	Region 4: I/O ports at 2020 [size=32]
	Kernel driver in use: uhci_hcd

00:1d.7 USB Controller [0c03]: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller [8086:27cc] (rev 01) (prog-if 20 [EHCI])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at e2204400 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev e1) (prog-if 01 [Subtractive decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=07, subordinate=07, sec-latency=32
	Memory behind bridge: e2000000-e20fffff
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA+ VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 82801GB/GR (ICH7 Family) LPC Interface Bridge [8086:27b8] (rev 01)
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.1 IDE interface [0101]: Intel Corporation 82801G (ICH7 Family) IDE Controller [8086:27df] (rev 01) (prog-if 8a [Master SecP PriP])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx+
	Latency: 0
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at 01f0 [size=8]
	Region 1: I/O ports at 03f4 [size=1]
	Region 2: I/O ports at 0170 [size=8]
	Region 3: I/O ports at 0374 [size=1]
	Region 4: I/O ports at 20b0 [size=16]
	Kernel driver in use: ata_piix

00:1f.2 IDE interface [0101]: Intel Corporation N10/ICH7 Family SATA IDE Controller [8086:27c0] (rev 01) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at 20c8 [size=8]
	Region 1: I/O ports at 20e4 [size=4]
	Region 2: I/O ports at 20c0 [size=8]
	Region 3: I/O ports at 20e0 [size=4]
	Region 4: I/O ports at 20a0 [size=16]
	Region 5: Memory at e2204000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation N10/ICH 7 Family SMBus Controller [8086:27da] (rev 01)
	Subsystem: Intel Corporation DeskTop Board D945GTP [8086:544e]
	Control: I/O+ Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin B routed to IRQ 19
	Region 4: I/O ports at 2000 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: nVidia Corporation G72 [GeForce 7300 LE] [10de:01d1] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Micro-Star International Co., Ltd. 7300LE PCI Express Graphics Adapter [1462:0345]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at e1000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at e0000000 (64-bit, non-prefetchable) [size=16M]
	Expansion ROM at <ignored> [disabled]
	Capabilities: <access denied>
	Kernel driver in use: nouveau

02:00.0 Ethernet controller [0200]: Intel Corporation 82573V Gigabit Ethernet Controller (Copper) [8086:108b] (rev 03)
	Subsystem: Intel Corporation Device [8086:3094]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 46
	Region 0: Memory at e2100000 (32-bit, non-prefetchable) [size=128K]
	Region 2: I/O ports at 1000 [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

07:05.0 FireWire (IEEE 1394) [0c00]: Texas Instruments TSB43AB23 IEEE-1394a-2000 Controller (PHY/Link) [104c:8024] (prog-if 10 [OHCI])
	Subsystem: Intel Corporation Device [8086:544e]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 32 (500ns min, 1000ns max), Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 17
	Region 0: Memory at e2004000 (32-bit, non-prefetchable) [size=2K]
	Region 1: Memory at e2000000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 002: ID 045e:0750 Microsoft Corp. Wired Keyboard 600
Bus 003 Device 002: ID 046d:c03e Logitech, Inc. Premium Optical Wheel Mouse (M-BT58)
Bus 005 Device 002: ID 1395:3554 Sennheiser Communications 


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'oldstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-1-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages linux-image-2.6.39-1-686-pae depends on:
ii  debconf [debconf-2.0]         1.5.39     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.2        Linux image base package
ii  module-init-tools             3.12-1     tools for managing Linux kernel mo

Versions of packages linux-image-2.6.39-1-686-pae recommends:
ii  firmware-linux-free           3          Binary firmware for various driver
ii  libc6-i686                    2.13-4     Embedded GNU C Library: Shared lib

Versions of packages linux-image-2.6.39-1-686-pae suggests:
ii  grub-pc                       1.99-4     GRand Unified Bootloader, version 
pn  linux-doc-2.6.39              <none>     (no description available)

Versions of packages linux-image-2.6.39-1-686-pae is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Mon, 23 May 2011 10:21:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 10:21:13 GMT) Full text and rfc822 format available.

Message #10 received at 627655@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Paul Millar <paul.millar@desy.de>, 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Mon, 23 May 2011 12:17:00 +0200
severity 627655 wishlist
thanks

On Mon, May 23, 2011 at 10:35:57AM +0200, Paul Millar wrote:
> Severity: important

Please specify, why this is appropriate.

> Current Debain Linux kernels are build with neither option enabled (the PNFS
> one is even missing from the config file).

Noone requested it yet.

Bastian




Severity set to 'wishlist' from 'important' Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Mon, 23 May 2011 10:21:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Mon, 23 May 2011 13:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 13:30:03 GMT) Full text and rfc822 format available.

Message #17 received at 627655@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Bastian Blank <waldi@debian.org>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Mon, 23 May 2011 15:03:33 +0200
Hi Bastian,

On Monday 23 May 2011 12:17:00 Bastian Blank wrote:
> severity 627655 wishlist
> thanks
> 
> On Mon, May 23, 2011 at 10:35:57AM +0200, Paul Millar wrote:
> > Severity: important
> 
> Please specify, why this is appropriate.

Sure.

Some scientific communities require access to huge amounts of storage (in 
WLCG, the current largest sites are ~10 PB; there thousands of sites spread 
across the world).  Traditionally, this has been the high-energy partial 
physics community; however, increasingly, other communities are analysing more 
data than can fit on (or pass through) a single server.

Previous versions of NFS assumed the data was available from the same server 
as the filesystem metadata: there was a single NFS server that one mounts.  
This approach simply doesn't scale to the high-capacity / high-throughput 
needed by scientific analysis.

Therefore, until recently, the only scalable solution was linking against 
custom libraries that implement proprietary protocols.  These libraries 
provided the required throughput but are non-standard and tend to be tuned for 
specific storage software.  You can see one such library here:

	http://packages.debian.org/sid/libdcap1

there are several others.

Providing custom libraries has worked for scientific communities that use 
custom analysis software.  Such user-communities have the flexibility to link 
their software against a custom library and access their data through the 
POSIX-like layer provided by the custom library.

Increasingly, new scientific communities are using software that they either 
don't want to, or can't, modify.  This means that they cannot use the existing 
solution of linking against a custom library; instead, their IO must go 
through the standard filesystem.

With the provision of NFS v4.1 / pNFS, the Linux kernel allows site-admins to 
mount these large storage systems.  This allows user-communities access to 
large storage with normal POSIX IO and without using any custom library.

Without out NFS v4.1 / pNFS, some users are simply unable to take advantage of 
the large storage facilities that already exist.

Without support for NFS v4.1 / pNFS in a Debian kernel, sites offering large 
storage for their users are forced to hand-compile their kernels, with the 
options enabled.

I believe this is a "major effect on the usability of a package, without 
rendering it completely unusable to everyone."

> > Current Debain Linux kernels are build with neither option enabled (the
> > PNFS one is even missing from the config file).
> 
> Noone requested it yet.

OK, I'm the first then :-)

Cheers,

Paul.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Mon, 23 May 2011 16:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 16:51:05 GMT) Full text and rfc822 format available.

Message #22 received at 627655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paul Millar <paul.millar@desy.de>, 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Mon, 23 May 2011 09:48:56 -0700
[Message part 1 (text/plain, inline)]
On Mon, 2011-05-23 at 15:03 +0200, Paul Millar wrote:
> Hi Bastian,
> 
> On Monday 23 May 2011 12:17:00 Bastian Blank wrote:
> > severity 627655 wishlist
> > thanks
> > 
> > On Mon, May 23, 2011 at 10:35:57AM +0200, Paul Millar wrote:
> > > Severity: important
> > 
> > Please specify, why this is appropriate.
> 
> Sure.
[...]
> I believe this is a "major effect on the usability of a package, without 
> rendering it completely unusable to everyone."
[...]

Well, not really.  I agree this is an important feature, but generally
feature requests are still 'wishlist'.  The only exception is for
missing hardware support which can be 'important'.

Anyway, I have no objection to enabling this unless it is likely to
cause regressions for other NFS users.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Tue, 24 May 2011 15:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 24 May 2011 15:45:09 GMT) Full text and rfc822 format available.

Message #27 received at 627655@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Tue, 24 May 2011 17:43:48 +0200
Hi Ben,

On Monday 23 May 2011 18:48:56 Ben Hutchings wrote:
> > I believe this is a "major effect on the usability of a package, without
> > rendering it completely unusable to everyone."
> 
> [...]
> 
> Well, not really.  I agree this is an important feature, but generally
> feature requests are still 'wishlist'.  The only exception is for
> missing hardware support which can be 'important'.

Sorry, me bad.  I think Bastian has already reclassified this bug as a 
'wishlist'.

> Anyway, I have no objection to enabling this unless it is likely to
> cause regressions for other NFS users.

Thanks.

There should be no direct effect: one has to specify the option 
"minorversion=1" before nfs-utils will attempt to mount with NFS v4.1.  
Without this option then NFS v4 would be attempted (if the server supports 
v4).

I normally pull all my updates from sid; but if you let me know when there's a 
new kernel in experimental then I can test it, if that's any help.

Cheers,

Paul.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Wed, 13 Jul 2011 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 13 Jul 2011 14:00:03 GMT) Full text and rfc822 format available.

Message #32 received at 627655@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Wed, 13 Jul 2011 15:27:39 +0200
Hi Ben,

On Monday 23 May 2011 18:48:56 Ben Hutchings wrote:
> [wishlist: NFS-4.1 / pNFS support]
> Anyway, I have no objection to enabling this unless it is likely to
> cause regressions for other NFS users.

Is there any news on enabling NFS v4.1?

Can I do anything to help?

Cheers,

Paul.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Fri, 15 Jul 2011 14:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 15 Jul 2011 14:36:03 GMT) Full text and rfc822 format available.

Message #37 received at 627655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paul Millar <paul.millar@desy.de>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Fri, 15 Jul 2011 15:32:41 +0100
[Message part 1 (text/plain, inline)]
On Wed, 2011-07-13 at 15:27 +0200, Paul Millar wrote:
> Hi Ben,
> 
> On Monday 23 May 2011 18:48:56 Ben Hutchings wrote:
> > [wishlist: NFS-4.1 / pNFS support]
> > Anyway, I have no objection to enabling this unless it is likely to
> > cause regressions for other NFS users.
> 
> Is there any news on enabling NFS v4.1?
> 
> Can I do anything to help?

No news.  The question remains, what the cost may be to other NFS users.
Certainly NFS v4.1 is not a minor change, and it adds a lot of new code
to the nfs module.

I had a look at what RH is doing with this and noticed that in RHEL 6
they only enabled it for x86_64.  This does suggest that it may be too
expensive for smaller systems, but maybe it's just a random choice.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Mon, 18 Jul 2011 15:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 18 Jul 2011 15:12:03 GMT) Full text and rfc822 format available.

Message #42 received at 627655@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Mon, 18 Jul 2011 17:09:30 +0200
Hi Ben,

Thanks for the update.

On Friday 15 July 2011 16:32:41 Ben Hutchings wrote:
> No news.  The question remains, what the cost may be to other NFS users.
> Certainly NFS v4.1 is not a minor change, and it adds a lot of new code
> to the nfs module.

I guess the question is how do we go forward here?  If the stumbling block is 
the fear of breaking something, how do we assess the risk involved against the 
potential benefits?

One way would be to simply test it:  just roll out an updated kernel to sid.  
This would allow people to complain if it breaks NFS support (if the code is 
broken then it needs to be fixed and the sooner the better).

Perhaps another approach would be to provide an additional kernel package with 
NFS v4.1 support built-in and ask for feedback from people (either directly or 
perhaps via popcon).  If it helps, I can provide some tests against NFS v4.1 
and NFS v4.0 servers.

A third possibility would be to wait until other distros (e.g., RHEL) have 
enabled NFS v4.1 support and see if there is a corresponding increase in NFS 
support tickets.

Do any of these approaches make sense?  Do you have an alternative way of 
assessing the risk?

> I had a look at what RH is doing with this and noticed that in RHEL 6
> they only enabled it for x86_64.  This does suggest that it may be too
> expensive for smaller systems, but maybe it's just a random choice.

It could be that, due to the high availability of x86_64-based machines, it's 
this platform that's been most tested during the NFS Connectathon events .. 
or, as you say, it might just be a random choice :-)

Cheers,

Paul.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Wed, 20 Jul 2011 23:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 20 Jul 2011 23:03:08 GMT) Full text and rfc822 format available.

Message #47 received at 627655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paul Millar <paul.millar@desy.de>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 21 Jul 2011 01:01:19 +0200
[Message part 1 (text/plain, inline)]
On Mon, 2011-07-18 at 17:09 +0200, Paul Millar wrote:
> Hi Ben,
> 
> Thanks for the update.
> 
> On Friday 15 July 2011 16:32:41 Ben Hutchings wrote:
> > No news.  The question remains, what the cost may be to other NFS users.
> > Certainly NFS v4.1 is not a minor change, and it adds a lot of new code
> > to the nfs module.
> 
> I guess the question is how do we go forward here?  If the stumbling block is 
> the fear of breaking something, how do we assess the risk involved against the 
> potential benefits?
> 
> One way would be to simply test it:  just roll out an updated kernel to sid.  
> This would allow people to complain if it breaks NFS support (if the code is 
> broken then it needs to be fixed and the sooner the better).
>
> Perhaps another approach would be to provide an additional kernel package with 
> NFS v4.1 support built-in and ask for feedback from people (either directly or 
> perhaps via popcon).  If it helps, I can provide some tests against NFS v4.1 
> and NFS v4.0 servers.

It's really too much trouble to do that sort of thing for every feature
we might consider enabling.

How about we start by enabling NFSv4.1 starting with release candidates
for Linux 3.1, and see what feedback we get for that?

> A third possibility would be to wait until other distros (e.g., RHEL) have 
> enabled NFS v4.1 support and see if there is a corresponding increase in NFS 
> support tickets.
[...]

As I said, RHEL 6 has it - but bug reports for RHEL 6 are mostly hidden.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 21 Jul 2011 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Jul 2011 10:15:10 GMT) Full text and rfc822 format available.

Message #52 received at 627655@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 21 Jul 2011 12:13:13 +0200
Hi Ben,

On Thursday 21 July 2011 01:01:19 Ben Hutchings wrote:
[...]
> How about we start by enabling NFSv4.1 starting with release candidates
> for Linux 3.1, and see what feedback we get for that?

That sounds OK, I guess, but it does introduce a significant delay.

BTW, will the release candidates be available from experimental or from a 
separate repository?

Cheers,

Paul.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 21 Jul 2011 10:52:32 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Jul 2011 10:52:40 GMT) Full text and rfc822 format available.

Message #57 received at 627655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Paul Millar <paul.millar@desy.de>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 21 Jul 2011 12:51:11 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-21 at 12:13 +0200, Paul Millar wrote:
> Hi Ben,
> 
> On Thursday 21 July 2011 01:01:19 Ben Hutchings wrote:
> [...]
> > How about we start by enabling NFSv4.1 starting with release candidates
> > for Linux 3.1, and see what feedback we get for that?
> 
> That sounds OK, I guess, but it does introduce a significant delay.

Linux 3.1-rc1 should be out in 3 weeks or less.

> BTW, will the release candidates be available from experimental or from a 
> separate repository?

experimental.

Ben.

-- 
Ben Hutchings
Absolutum obsoletum. (If it works, it's out of date.) - Stafford Beer
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 21 Jul 2011 12:16:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Millar <paul.millar@desy.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 21 Jul 2011 12:17:41 GMT) Full text and rfc822 format available.

Message #62 received at 627655@bugs.debian.org (full text, mbox):

From: Paul Millar <paul.millar@desy.de>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 21 Jul 2011 14:12:23 +0200
Hi Ben,

On Thursday 21 July 2011 12:51:11 Ben Hutchings wrote:
> On Thu, 2011-07-21 at 12:13 +0200, Paul Millar wrote:
> > [..] but it does introduce a significant delay.
> 
> Linux 3.1-rc1 should be out in 3 weeks or less.

Ah!  OK, that's not too bad.  I thought it would be longer.

> > BTW, will the release candidates be available from experimental or from a
> > separate repository?
> 
> experimental.

Great, I'll try deploying 3.1-rc1 when it becomes available.

Cheers,

Paul.




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Mon, 15 Aug 2011 14:36:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Wed, 17 Aug 2011 18:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 17 Aug 2011 18:12:03 GMT) Full text and rfc822 format available.

Message #69 received at 627655@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: 627655@bugs.debian.org
Cc: Paul Millar <paul.millar@desy.de>, 627655-subscribe@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>
Subject: Re: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Wed, 17 Aug 2011 20:07:54 +0200
[Message part 1 (text/plain, inline)]
Hi Paul.

Nice to meet you here, it's a small world ;)


Good to see this enabled in Debian by default, however, this alone seems
to be not enough.

Whenever I tried this with dCache, I could mount a remoute pnfs, listing
worked, but when reading/writing I got IO errors.


The reason seems that one needs a modprobe config like this (Tigran told
me the trick today):

alias nfs-layouttype4-1 nfs_layout_nfsv41_files
alias nfs-layouttype4-2 nfs_layout_osd2_objects
alias nfs-layouttype4-3 off


With dCache it already works with the first line, any 2 and 3 set to off.
No idea any what the 3rd type actually is, neither whether type 2 is implemented in Linux at all.


Ben, I guess nfs-common would be the right package for such a file, right?


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 18 Aug 2011 17:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Kluth <skluth@mppmu.mpg.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 17:36:08 GMT) Full text and rfc822 format available.

Message #74 received at 627655@bugs.debian.org (full text, mbox):

From: Stefan Kluth <skluth@mppmu.mpg.de>
To: 627655@bugs.debian.org
Subject: Re: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 18 Aug 2011 19:13:22 +0200 (CEST)
Hi Chris,

> The reason seems that one needs a modprobe config like this (Tigran told
> me the trick today):

> alias nfs-layouttype4-1 nfs_layout_nfsv41_files
> alias nfs-layouttype4-2 nfs_layout_osd2_objects
> alias nfs-layouttype4-3 off

> With dCache it already works with the first line, any 2 and 3 set to 
off.
> No idea any what the 3rd type actually is, neither whether type 2 is 
> implemented in Linux at all.

> Ben, I guess nfs-common would be the right package for such a file, 
> right?

you should perhaps file a bug report againt nfs-common then?  Presumably 
these lines don't harm when NFS4.1 is not active?

Cheers, Stefan

-- PD Stefan Kluth, PhD ----- Wissenschaftler -------------------------
-  MPI fuer Physik         -  phone:  +49 89 32354 468  -      ATLAS  -
-  Foehringer Ring 6       -  fax:    +49 89 32354 305  -      &OPAL  -
-- D-80805 Munich, Germany -- e-mail: skluth@mppmu.mpg.de -------------





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 18 Aug 2011 18:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 18:12:10 GMT) Full text and rfc822 format available.

Message #79 received at 627655@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Stefan Kluth <skluth@mppmu.mpg.de>, 627655@bugs.debian.org
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 18 Aug 2011 20:10:42 +0200
[Message part 1 (text/plain, inline)]
Hi Stefan.

On Thu, 2011-08-18 at 19:13 +0200, Stefan Kluth wrote:
> you should perhaps file a bug report againt nfs-common then?  Presumably 
> these lines don't harm when NFS4.1 is not active?
I have already,... but due to
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=638045 my locally
generated mail is currently not delivered ^^


Cheers,
Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 18 Aug 2011 19:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 19:21:06 GMT) Full text and rfc822 format available.

Message #84 received at 627655@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Christoph Anton Mitterer <calestyo@scientia.net>, 627655@bugs.debian.org
Cc: Paul Millar <paul.millar@desy.de>
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 18 Aug 2011 20:17:40 +0100
On Wed, Aug 17, 2011 at 08:07:54PM +0200, Christoph Anton Mitterer wrote:
> Hi Paul.
> 
> Nice to meet you here, it's a small world ;)
> 
> 
> Good to see this enabled in Debian by default, however, this alone seems
> to be not enough.
> 
> Whenever I tried this with dCache, I could mount a remoute pnfs, listing
> worked, but when reading/writing I got IO errors.
> 
> 
> The reason seems that one needs a modprobe config like this (Tigran told
> me the trick today):
> 
> alias nfs-layouttype4-1 nfs_layout_nfsv41_files
> alias nfs-layouttype4-2 nfs_layout_osd2_objects
> alias nfs-layouttype4-3 off
[...]
> Ben, I guess nfs-common would be the right package for such a file, right?

If these module aliases are actually needed (I'll have to check
this) then they should be defined in the modules themselves.

Ben.

-- 
Ben Hutchings
We get into the habit of living before acquiring the habit of thinking.
                                                              - Albert Camus




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#627655; Package linux-2.6. (Thu, 18 Aug 2011 19:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 18 Aug 2011 19:51:03 GMT) Full text and rfc822 format available.

Message #89 received at 627655@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 627655@bugs.debian.org, Paul Millar <paul.millar@desy.de>
Subject: Re: Bug#627655: linux-image-2.6.39-1-686-pae: missing NFS4.1 / pNFS support
Date: Thu, 18 Aug 2011 21:47:17 +0200
[Message part 1 (text/plain, inline)]
On Thu, 2011-08-18 at 20:17 +0100, Ben Hutchings wrote:
> > The reason seems that one needs a modprobe config like this (Tigran told
> > me the trick today):
> > 
> > alias nfs-layouttype4-1 nfs_layout_nfsv41_files
> > alias nfs-layouttype4-2 nfs_layout_osd2_objects
> > alias nfs-layouttype4-3 off
> [...]
> > Ben, I guess nfs-common would be the right package for such a file, right?
> 
> If these module aliases are actually needed (I'll have to check
> this) then they should be defined in the modules themselves.

Well at least it didn't work without them.

I'll mail (off list) you a test server that you can mount, to verify
this.


Chris.
[smime.p7s (application/x-pkcs7-signature, attachment)]

Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 31 Aug 2011 18:51:11 GMT) Full text and rfc822 format available.

Notification sent to Paul Millar <paul.millar@desy.de>:
Bug acknowledged by developer. (Wed, 31 Aug 2011 18:51:11 GMT) Full text and rfc822 format available.

Message #94 received at 627655-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 627655-close@bugs.debian.org
Subject: Bug#627655: fixed in linux-2.6 3.1.0~rc4-1~experimental.1
Date: Wed, 31 Aug 2011 18:49:04 +0000
Source: linux-2.6
Source-Version: 3.1.0~rc4-1~experimental.1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.1.0~rc4-1~experimental.1.diff.gz
  to main/l/linux-2.6/linux-2.6_3.1.0~rc4-1~experimental.1.diff.gz
linux-2.6_3.1.0~rc4-1~experimental.1.dsc
  to main/l/linux-2.6/linux-2.6_3.1.0~rc4-1~experimental.1.dsc
linux-2.6_3.1.0~rc4.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_3.1.0~rc4.orig.tar.gz
linux-doc-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-doc-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
linux-manual-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-manual-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
linux-patch-debian-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
linux-source-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-source-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
linux-support-3.1.0-rc4_3.1.0~rc4-1~experimental.1_all.deb
  to main/l/linux-2.6/linux-support-3.1.0-rc4_3.1.0~rc4-1~experimental.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 627655@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 29 Aug 2011 14:48:28 +0100
Source: linux-2.6
Binary: linux-tools-3.1.0 linux-source-3.1.0 linux-doc-3.1.0 linux-manual-3.1.0 linux-patch-debian-3.1.0 linux-support-3.1.0-rc4 linux-libc-dev linux-headers-3.1.0-rc4-all linux-headers-3.1.0-rc4-all-alpha linux-headers-3.1.0-rc4-common linux-image-3.1.0-rc4-alpha-generic linux-headers-3.1.0-rc4-alpha-generic linux-image-3.1.0-rc4-alpha-smp linux-headers-3.1.0-rc4-alpha-smp linux-image-3.1.0-rc4-alpha-legacy linux-headers-3.1.0-rc4-alpha-legacy linux-headers-3.1.0-rc4-all-amd64 linux-image-3.1.0-rc4-amd64 linux-headers-3.1.0-rc4-amd64 linux-image-3.1.0-rc4-amd64-dbg xen-linux-system-3.1.0-rc4-amd64 linux-headers-3.1.0-rc4-all-armel linux-image-3.1.0-rc4-iop32x linux-headers-3.1.0-rc4-iop32x linux-image-3.1.0-rc4-ixp4xx linux-headers-3.1.0-rc4-ixp4xx linux-image-3.1.0-rc4-kirkwood linux-headers-3.1.0-rc4-kirkwood linux-image-3.1.0-rc4-orion5x linux-headers-3.1.0-rc4-orion5x linux-image-3.1.0-rc4-versatile linux-headers-3.1.0-rc4-versatile linux-headers-3.1.0-rc4-all-armhf
 linux-image-3.1.0-rc4-mx5 linux-headers-3.1.0-rc4-mx5 linux-image-3.1.0-rc4-omap linux-headers-3.1.0-rc4-omap linux-headers-3.1.0-rc4-all-hppa linux-image-3.1.0-rc4-parisc linux-headers-3.1.0-rc4-parisc linux-image-3.1.0-rc4-parisc-smp linux-headers-3.1.0-rc4-parisc-smp linux-image-3.1.0-rc4-parisc64 linux-headers-3.1.0-rc4-parisc64 linux-image-3.1.0-rc4-parisc64-smp linux-headers-3.1.0-rc4-parisc64-smp linux-headers-3.1.0-rc4-all-i386 linux-image-3.1.0-rc4-486 linux-headers-3.1.0-rc4-486 linux-image-3.1.0-rc4-686-pae linux-headers-3.1.0-rc4-686-pae linux-image-3.1.0-rc4-686-pae-dbg xen-linux-system-3.1.0-rc4-686-pae linux-headers-3.1.0-rc4-all-ia64 linux-image-3.1.0-rc4-itanium linux-headers-3.1.0-rc4-itanium linux-image-3.1.0-rc4-mckinley linux-headers-3.1.0-rc4-mckinley linux-headers-3.1.0-rc4-all-m68k linux-image-3.1.0-rc4-amiga linux-headers-3.1.0-rc4-amiga linux-image-3.1.0-rc4-atari linux-headers-3.1.0-rc4-atari linux-image-3.1.0-rc4-bvme6000
 linux-headers-3.1.0-rc4-bvme6000 linux-image-3.1.0-rc4-mac linux-headers-3.1.0-rc4-mac linux-image-3.1.0-rc4-mvme147 linux-headers-3.1.0-rc4-mvme147 linux-image-3.1.0-rc4-mvme16x linux-headers-3.1.0-rc4-mvme16x linux-headers-3.1.0-rc4-all-mips linux-image-3.1.0-rc4-r4k-ip22 linux-headers-3.1.0-rc4-r4k-ip22 linux-image-3.1.0-rc4-r5k-ip32 linux-headers-3.1.0-rc4-r5k-ip32 linux-image-3.1.0-rc4-sb1-bcm91250a linux-headers-3.1.0-rc4-sb1-bcm91250a linux-image-3.1.0-rc4-sb1a-bcm91480b linux-headers-3.1.0-rc4-sb1a-bcm91480b linux-image-3.1.0-rc4-4kc-malta linux-headers-3.1.0-rc4-4kc-malta linux-image-3.1.0-rc4-5kc-malta linux-headers-3.1.0-rc4-5kc-malta linux-image-3.1.0-rc4-octeon linux-headers-3.1.0-rc4-octeon linux-headers-3.1.0-rc4-all-mipsel linux-image-3.1.0-rc4-r5k-cobalt linux-headers-3.1.0-rc4-r5k-cobalt linux-image-3.1.0-rc4-loongson-2f linux-headers-3.1.0-rc4-loongson-2f linux-headers-3.1.0-rc4-all-powerpc linux-image-3.1.0-rc4-powerpc
 linux-headers-3.1.0-rc4-powerpc linux-image-3.1.0-rc4-powerpc-smp linux-headers-3.1.0-rc4-powerpc-smp linux-image-3.1.0-rc4-powerpc64 linux-headers-3.1.0-rc4-powerpc64 linux-headers-3.1.0-rc4-all-ppc64 linux-headers-3.1.0-rc4-all-s390 linux-image-3.1.0-rc4-s390x linux-headers-3.1.0-rc4-s390x linux-image-3.1.0-rc4-s390x-tape linux-headers-3.1.0-rc4-all-s390x linux-headers-3.1.0-rc4-all-sh4 linux-image-3.1.0-rc4-sh7751r linux-headers-3.1.0-rc4-sh7751r linux-image-3.1.0-rc4-sh7785lcr linux-headers-3.1.0-rc4-sh7785lcr linux-headers-3.1.0-rc4-all-sparc linux-image-3.1.0-rc4-sparc64 linux-headers-3.1.0-rc4-sparc64 linux-image-3.1.0-rc4-sparc64-smp linux-headers-3.1.0-rc4-sparc64-smp
 linux-headers-3.1.0-rc4-all-sparc64
Architecture: all amd64 source
Version: 3.1.0~rc4-1~experimental.1
Distribution: experimental
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 618261 627655 638696 639113 639439 639538
Description: 
 linux-doc-3.1.0 - Linux kernel specific documentation for version 3.1.0
 linux-headers-3.1.0-rc4-486 - Header files for Linux 3.1.0-rc4-486
 linux-headers-3.1.0-rc4-4kc-malta - Header files for Linux 3.1.0-rc4-4kc-malta
 linux-headers-3.1.0-rc4-5kc-malta - Header files for Linux 3.1.0-rc4-5kc-malta
 linux-headers-3.1.0-rc4-686-pae - Header files for Linux 3.1.0-rc4-686-pae
 linux-headers-3.1.0-rc4-all - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-alpha - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-amd64 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-armel - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-armhf - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-hppa - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-i386 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-ia64 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-m68k - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-mips - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-mipsel - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-powerpc - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-ppc64 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-s390 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-s390x - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-sh4 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-sparc64 - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-all-sparc - All header files for Linux 3.1.0 (meta-package)
 linux-headers-3.1.0-rc4-alpha-generic - Header files for Linux 3.1.0-rc4-alpha-generic
 linux-headers-3.1.0-rc4-alpha-legacy - Header files for Linux 3.1.0-rc4-alpha-legacy
 linux-headers-3.1.0-rc4-alpha-smp - Header files for Linux 3.1.0-rc4-alpha-smp
 linux-headers-3.1.0-rc4-amd64 - Header files for Linux 3.1.0-rc4-amd64
 linux-headers-3.1.0-rc4-amiga - Header files for Linux 3.1.0-rc4-amiga
 linux-headers-3.1.0-rc4-atari - Header files for Linux 3.1.0-rc4-atari
 linux-headers-3.1.0-rc4-bvme6000 - Header files for Linux 3.1.0-rc4-bvme6000
 linux-headers-3.1.0-rc4-common - Common header files for Linux 3.1.0-rc4
 linux-headers-3.1.0-rc4-iop32x - Header files for Linux 3.1.0-rc4-iop32x
 linux-headers-3.1.0-rc4-itanium - Header files for Linux 3.1.0-rc4-itanium
 linux-headers-3.1.0-rc4-ixp4xx - Header files for Linux 3.1.0-rc4-ixp4xx
 linux-headers-3.1.0-rc4-kirkwood - Header files for Linux 3.1.0-rc4-kirkwood
 linux-headers-3.1.0-rc4-loongson-2f - Header files for Linux 3.1.0-rc4-loongson-2f
 linux-headers-3.1.0-rc4-mac - Header files for Linux 3.1.0-rc4-mac
 linux-headers-3.1.0-rc4-mckinley - Header files for Linux 3.1.0-rc4-mckinley
 linux-headers-3.1.0-rc4-mvme147 - Header files for Linux 3.1.0-rc4-mvme147
 linux-headers-3.1.0-rc4-mvme16x - Header files for Linux 3.1.0-rc4-mvme16x
 linux-headers-3.1.0-rc4-mx5 - Header files for Linux 3.1.0-rc4-mx5
 linux-headers-3.1.0-rc4-octeon - Header files for Linux 3.1.0-rc4-octeon
 linux-headers-3.1.0-rc4-omap - Header files for Linux 3.1.0-rc4-omap
 linux-headers-3.1.0-rc4-orion5x - Header files for Linux 3.1.0-rc4-orion5x
 linux-headers-3.1.0-rc4-parisc64 - Header files for Linux 3.1.0-rc4-parisc64
 linux-headers-3.1.0-rc4-parisc64-smp - Header files for Linux 3.1.0-rc4-parisc64-smp
 linux-headers-3.1.0-rc4-parisc - Header files for Linux 3.1.0-rc4-parisc
 linux-headers-3.1.0-rc4-parisc-smp - Header files for Linux 3.1.0-rc4-parisc-smp
 linux-headers-3.1.0-rc4-powerpc64 - Header files for Linux 3.1.0-rc4-powerpc64
 linux-headers-3.1.0-rc4-powerpc - Header files for Linux 3.1.0-rc4-powerpc
 linux-headers-3.1.0-rc4-powerpc-smp - Header files for Linux 3.1.0-rc4-powerpc-smp
 linux-headers-3.1.0-rc4-r4k-ip22 - Header files for Linux 3.1.0-rc4-r4k-ip22
 linux-headers-3.1.0-rc4-r5k-cobalt - Header files for Linux 3.1.0-rc4-r5k-cobalt
 linux-headers-3.1.0-rc4-r5k-ip32 - Header files for Linux 3.1.0-rc4-r5k-ip32
 linux-headers-3.1.0-rc4-s390x - Header files for Linux 3.1.0-rc4-s390x
 linux-headers-3.1.0-rc4-sb1a-bcm91480b - Header files for Linux 3.1.0-rc4-sb1a-bcm91480b
 linux-headers-3.1.0-rc4-sb1-bcm91250a - Header files for Linux 3.1.0-rc4-sb1-bcm91250a
 linux-headers-3.1.0-rc4-sh7751r - Header files for Linux 3.1.0-rc4-sh7751r
 linux-headers-3.1.0-rc4-sh7785lcr - Header files for Linux 3.1.0-rc4-sh7785lcr
 linux-headers-3.1.0-rc4-sparc64 - Header files for Linux 3.1.0-rc4-sparc64
 linux-headers-3.1.0-rc4-sparc64-smp - Header files for Linux 3.1.0-rc4-sparc64-smp
 linux-headers-3.1.0-rc4-versatile - Header files for Linux 3.1.0-rc4-versatile
 linux-image-3.1.0-rc4-486 - Linux 3.1.0-rc4 for older PCs
 linux-image-3.1.0-rc4-4kc-malta - Linux 3.1.0-rc4 for MIPS Malta
 linux-image-3.1.0-rc4-5kc-malta - Linux 3.1.0-rc4 for MIPS Malta (64-bit)
 linux-image-3.1.0-rc4-686-pae-dbg - Debugging infos for Linux 3.1.0-rc4-686-pae
 linux-image-3.1.0-rc4-686-pae - Linux 3.1.0-rc4 for modern PCs
 linux-image-3.1.0-rc4-alpha-generic - Linux 3.1.0-rc4 for Alpha
 linux-image-3.1.0-rc4-alpha-legacy - Linux 3.1.0-rc4 for Alpha Legacy
 linux-image-3.1.0-rc4-alpha-smp - Linux 3.1.0-rc4 for Alpha SMP
 linux-image-3.1.0-rc4-amd64-dbg - Debugging infos for Linux 3.1.0-rc4-amd64
 linux-image-3.1.0-rc4-amd64 - Linux 3.1.0-rc4 for 64-bit PCs
 linux-image-3.1.0-rc4-amiga - Linux 3.1.0-rc4 for Amiga
 linux-image-3.1.0-rc4-atari - Linux 3.1.0-rc4 for Atari
 linux-image-3.1.0-rc4-bvme6000 - Linux 3.1.0-rc4 for BVM BVME4000 and BVME6000
 linux-image-3.1.0-rc4-iop32x - Linux 3.1.0-rc4 for IOP32x
 linux-image-3.1.0-rc4-itanium - Linux 3.1.0-rc4 for Itanium
 linux-image-3.1.0-rc4-ixp4xx - Linux 3.1.0-rc4 for IXP4xx
 linux-image-3.1.0-rc4-kirkwood - Linux 3.1.0-rc4 for Marvell Kirkwood
 linux-image-3.1.0-rc4-loongson-2f - Linux 3.1.0-rc4 for Loongson 2F
 linux-image-3.1.0-rc4-mac - Linux 3.1.0-rc4 for Macintosh
 linux-image-3.1.0-rc4-mckinley - Linux 3.1.0-rc4 for Itanium II
 linux-image-3.1.0-rc4-mvme147 - Linux 3.1.0-rc4 for Motorola MVME147
 linux-image-3.1.0-rc4-mvme16x - Linux 3.1.0-rc4 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.1.0-rc4-mx5 - Linux 3.1.0-rc4 for Freescale i.MX51
 linux-image-3.1.0-rc4-octeon - Linux 3.1.0-rc4 for Octeon
 linux-image-3.1.0-rc4-omap - Linux 3.1.0-rc4 for TI OMAP3+
 linux-image-3.1.0-rc4-orion5x - Linux 3.1.0-rc4 for Marvell Orion
 linux-image-3.1.0-rc4-parisc64 - Linux 3.1.0-rc4 for 64-bit PA-RISC
 linux-image-3.1.0-rc4-parisc64-smp - Linux 3.1.0-rc4 for multiprocessor 64-bit PA-RISC
 linux-image-3.1.0-rc4-parisc - Linux 3.1.0-rc4 for 32-bit PA-RISC
 linux-image-3.1.0-rc4-parisc-smp - Linux 3.1.0-rc4 for multiprocessor 32-bit PA-RISC
 linux-image-3.1.0-rc4-powerpc64 - Linux 3.1.0-rc4 for 64-bit PowerPC
 linux-image-3.1.0-rc4-powerpc - Linux 3.1.0-rc4 for uniprocessor 32-bit PowerPC
 linux-image-3.1.0-rc4-powerpc-smp - Linux 3.1.0-rc4 for multiprocessor 32-bit PowerPC
 linux-image-3.1.0-rc4-r4k-ip22 - Linux 3.1.0-rc4 for SGI IP22
 linux-image-3.1.0-rc4-r5k-cobalt - Linux 3.1.0-rc4 for Cobalt
 linux-image-3.1.0-rc4-r5k-ip32 - Linux 3.1.0-rc4 for SGI IP32
 linux-image-3.1.0-rc4-s390x - Linux 3.1.0-rc4 for IBM zSeries
 linux-image-3.1.0-rc4-s390x-tape - Linux 3.1.0-rc4 for IBM zSeries, IPL from tape
 linux-image-3.1.0-rc4-sb1a-bcm91480b - Linux 3.1.0-rc4 for BCM91480B
 linux-image-3.1.0-rc4-sb1-bcm91250a - Linux 3.1.0-rc4 for BCM91250A
 linux-image-3.1.0-rc4-sh7751r - Linux 3.1.0-rc4 for sh7751r
 linux-image-3.1.0-rc4-sh7785lcr - Linux 3.1.0-rc4 for sh7785lcr
 linux-image-3.1.0-rc4-sparc64 - Linux 3.1.0-rc4 for uniprocessor 64-bit UltraSPARC
 linux-image-3.1.0-rc4-sparc64-smp - Linux 3.1.0-rc4 for multiprocessor 64-bit UltraSPARC
 linux-image-3.1.0-rc4-versatile - Linux 3.1.0-rc4 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.1.0 - Linux kernel API manual pages for version 3.1.0
 linux-patch-debian-3.1.0 - Debian patches to version 3.1.0 of the Linux kernel
 linux-source-3.1.0 - Linux kernel source for version 3.1.0 with Debian patches
 linux-support-3.1.0-rc4 - Support files for Linux 3.1.0-rc4
 linux-tools-3.1.0 - Performance analysis tools for Linux 3.1.0-rc4
 xen-linux-system-3.1.0-rc4-686-pae - Xen system with Linux 3.1.0-rc4 on modern PCs (meta-package)
 xen-linux-system-3.1.0-rc4-amd64 - Xen system with Linux 3.1.0-rc4 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (3.1.0~rc4-1~experimental.1) experimental; urgency=low
 .
   * New upstream release candidate
 .
   [ Ben Hutchings ]
   * aufs: Disable until it is updated for Linux 3.1
   * rt: Disable until it is updated for Linux 3.1
   * nfs: Enable NFSv4.1/pNFS (Closes: #627655)
   * [x86] ACPI: Enable ACPI_APEI_GHES as built-in (no longer modular).
     Enable ACPI_APEI_MEMORY_FAILURE.
   * netfilter: Enable IP_SET_HASH_NETIFACE as module
   * net: Enable NFC, NFC_PN533 as modules
   * video: Enable FB_UDL as module (Closes: #618261)
   * target: Enable ISCSI_TARGET as module
   * skge: Enable SKGE_GENESIS
   * net/wireless: Enable RTL8192DE as module
   * hwmon: Enable SENSORS_EMC2103, SENSORS_LM95245, SENSORS_MAX1668,
     SENSORS_NTC_THERMISTOR, SENSORS_SMM665 as modules
   * [i386] Enable GPIO_CS5535, MFD_CS5535, CS5535_MFGPT,
     CS5535_CLOCK_EVENT_SRC, GPIO_VX855, MFD_VX855 as modules;
     [i386/486] Enable OLPC_XO1_PM, OLPC_XO1_RTC, OLPC_XO1_SCI, OLPC_XO15_SCI
     (Closes: #639113)
   * media/dvb: Enable DVB_NET
   * media/rc: Enable IR_MCE_KBD_DECODER as module
   * gspca: Enable USB_GSPCA_SE401 as module
   * de4x5: Disable on all architectures except alpha (Closes: #639538)
   * wl128x: Disable on all flavours except armhf/omap
   * Make bug script accept failure of lspci (Closes: #639439)
   * [alpha] Disable GENERIC_GPIO (Closes: #638696)
 34c6081a6986b7c6518322ac9c460e7dfd376b17fa7e2f472e2ac452e4665451 6170 linux-2.6_3.1.0~rc4-1~experimental.1.dsc
 1bd8057d6c23b5e08c83cb87129ba501e581acbcb1194cd57a8c0a03160aab82 97734736 linux-2.6_3.1.0~rc4.orig.tar.gz
 f07a99c2232e0e8a76d52e155a37e85b1a450189727ed9b37ae7c2b300bb99a3 571638 linux-2.6_3.1.0~rc4-1~experimental.1.diff.gz
Checksums-Sha1: 
 d6accd251a34f205dd029d072a8eaafb662a433a 6170 linux-2.6_3.1.0~rc4-1~experimental.1.dsc
 2cddace3581dc39eb4476cd5a7bc0e2afe94bbed 97734736 linux-2.6_3.1.0~rc4.orig.tar.gz
 b5f17c4e8578ed324302e702edc07b937d03821f 571638 linux-2.6_3.1.0~rc4-1~experimental.1.diff.gz
 9ecbcccc91ba847f8b2524d118382c1f48c47f8b 7049944 linux-doc-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 6e292c8fdd8ba0d134d6ba74f5cb846d356a75da 3167668 linux-manual-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 dd819d72f2155fea3c6936f382ef1556f87954a3 359582 linux-patch-debian-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 0f2de53baccc08e1012f45d7f1c4f186391f520e 76598432 linux-source-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 73001f89d6071988bd3c5cc323f66bf628db25b3 178676 linux-support-3.1.0-rc4_3.1.0~rc4-1~experimental.1_all.deb
Checksums-Sha256: 
 34c6081a6986b7c6518322ac9c460e7dfd376b17fa7e2f472e2ac452e4665451 6170 linux-2.6_3.1.0~rc4-1~experimental.1.dsc
 1bd8057d6c23b5e08c83cb87129ba501e581acbcb1194cd57a8c0a03160aab82 97734736 linux-2.6_3.1.0~rc4.orig.tar.gz
 f07a99c2232e0e8a76d52e155a37e85b1a450189727ed9b37ae7c2b300bb99a3 571638 linux-2.6_3.1.0~rc4-1~experimental.1.diff.gz
 968d3c16b8df4fe38c2c9a0113d2f9d99cee5f1a5e189e4d8f133623d9f32f3d 7049944 linux-doc-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 61074b0f17849ca7ccfa708f2bb05a06f4c1e4aa845428cf8e602f9ba8acb7fd 3167668 linux-manual-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 b5ace338901c78b121a05997d95aac2997b7d181083db2f9004a8376a3d865e9 359582 linux-patch-debian-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 3893be33827bcc27ba3d0b206fd5ca3cb4a5a5e76b593047f1224b90f7d49f12 76598432 linux-source-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 de93093ec57dc621a09a75ea96bd7ab3ff5896c5044eb94b7991595ea7f773e6 178676 linux-support-3.1.0-rc4_3.1.0~rc4-1~experimental.1_all.deb
Files: 
 26ae9fe1792f8e5f5c1061382f6fd334 6170 kernel optional linux-2.6_3.1.0~rc4-1~experimental.1.dsc
 49592bae4a593da29ec1dc314634de62 97734736 kernel optional linux-2.6_3.1.0~rc4.orig.tar.gz
 6ebf0bcc5db450754e5b7432ff2ebcaf 571638 kernel optional linux-2.6_3.1.0~rc4-1~experimental.1.diff.gz
 1444ae54fd8266942696089b7364ccee 7049944 doc optional linux-doc-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 9c28eede0c96c2e88bdb553db2c4ef9d 3167668 doc optional linux-manual-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 2be626c10b0db995d1c1816bd2449cbd 359582 kernel optional linux-patch-debian-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 0fdabda2a6614e51fb767dc040039fe6 76598432 kernel optional linux-source-3.1.0_3.1.0~rc4-1~experimental.1_all.deb
 74f4fbd57489429b39df2359b72030ba 178676 devel optional linux-support-3.1.0-rc4_3.1.0~rc4-1~experimental.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTlwljee/yOyVhhEJAQpR0Q//QUcZVKDCyrm5MojquGt+m7aXs1zD4rJf
NmfM+NJGA0p4uSMoCuwV4wCaT2iyBF8u59F4J39jdnKfeRFfx1+ugqTDDa+5qhYg
CNEtf/jr+R4TTYo6KeVWN7gLYcUndSqNGlGas3K1scFSI/pJpW3TfRgw47kPFl+2
322fEVGoQXBw21douHMa3gAKJG8EuOsUotdRyCW700g6gQAkT1YgdDrE5dkbD1L2
jmHYmq2SL3xSnU7/0+w83hX9VLCPqhBLo57TCEdWJjM6CE2OV6yFyL8q6efXBkiz
OSRiwmDPFQnRLqQA0DyaBBT/Zw/TEg7PV8VEjYmgPa9V7XvV6JMOWGuuXWe/zEot
J9jYQeA3JWj5gRdapLbeNzIj6Z/4F8P1aEPeMjDHtBMAKDgDSAt1pqaGoFbbC0J+
bP+uKDk5JWvX89FmvjiXtwK7bgow6AmUsx/tpKAEQjNy6YRPBGGOh6sZ1HqmVud3
+g9PpYO0Japt8Tdpfyn+xrIYJSZ8y8VutCq4ChZ+T0mdofUhipORmvny1QL9xn4Q
BMi1HZYhlFfG5w7gIvkDRtMAExh+EPwqOFUvHm2A4N1FdCMhJnCZN9wVFTjOE21L
529usKcIayxncRDXODMAGKmGSgN56bceoPVGwTn7JEYSY8i4sSX6cGdoY8Gzw/s0
PeB1DUHfp7g=
=9v0Y
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Dec 2011 07:43:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:21:30 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.